PUT List/ProjectType/Items/{id}/Headings
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/ProjectType/Items/{itemId}/Headings
Saves headings for the ProjectType list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the headings to be saved. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/ProjectType/Items/{itemId}/Headings
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
[
{
"Id": 595,
"Name": "Medhurst, Dicki and Pollich",
"ToolTip": "Aut debitis deleniti illum possimus aut.",
"Deleted": false,
"Rank": 87,
"Type": "aliquid",
"ColorBlock": 708,
"IconHint": "tempore",
"Selected": false,
"LastChanged": "2018-04-09T14:34:03.3932168+02:00",
"ChildItems": [
{
"Id": 431,
"Name": "Konopelski-Terry",
"ToolTip": "Quia iste fugiat doloribus.",
"Deleted": false,
"Rank": 895,
"Type": "eum",
"ColorBlock": 102,
"IconHint": "distinctio",
"Selected": false,
"LastChanged": "2007-07-21T14:34:03.3932168+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "unde",
"StyleHint": "dolorem",
"Hidden": true,
"FullName": "Chadrick Johnston"
}
],
"ExtraInfo": "aspernatur",
"StyleHint": "rem",
"Hidden": false,
"FullName": "Nia Mertz"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 515,
"Name": "Internal",
"ToolTip": "Ea pariatur omnis sint temporibus tempora dolorum.",
"Deleted": true,
"Rank": 744,
"Type": "eaque",
"ColorBlock": 397,
"IconHint": "dolore",
"Selected": true,
"LastChanged": "2022-05-09T14:34:03.3932168+02:00",
"ChildItems": [
{
"Id": 701,
"Name": "Gutkowski LLC",
"ToolTip": "Dolorem voluptatibus et labore molestiae ea officiis consequatur.",
"Deleted": false,
"Rank": 27,
"Type": "dolorem",
"ColorBlock": 330,
"IconHint": "suscipit",
"Selected": false,
"LastChanged": "2002-03-04T14:34:03.3932168+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "et",
"StyleHint": "quia",
"Hidden": true,
"FullName": "Prof. Layla Lourdes Monahan",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 831
}
}
}
],
"ExtraInfo": "tempore",
"StyleHint": "quibusdam",
"Hidden": true,
"FullName": "Emery Legros",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 369
}
}
}
]